Skip to content

Deprecated. Create Event
deprecated

Request

This endpoint is deprecated. Use POST /v2/locations/{location_id}/events instead.

Migration: The V2 Events API provides enhanced validation, better error handling, and JSON:API format responses. See operation create_event for details.

Security
BearerPartnerUser
Path
location_idnumberrequired

location ID

Headers
Acceptstringrequired

e.g. application/vnd.api.v2+json

Example:application/vnd.api.v2+json
Content-Typestringrequired

application/json

Authorizationstringrequired

Bearer partner_token, User user_token

Bodyapplication/jsonrequired
capacitynumberrequired

Capacity

Example:9
datestring, (date-time)required

date and time

Example:"2026-10-10 15:30"
forcebooleanrequired

Ignore errors (busy team member/resources, etc.)

Example:false
service_idnumberrequired

Service ID

Example:1185299
team_member_idnumberrequired

Team Member ID

Example:26427
resource_instance_idsArray of numbers

Array of resource instance IDs

Example:
[ 3127 ]
lengthnumber

Event duration in seconds

Example:3600
curl -i -X POST \
  'https://developer.alteg.io/_mock/en/b2b-v1/openapi/locations/{location_id}/events' \
  -H 'Accept: application/vnd.api.v2+json' \
  -H 'Authorization: Bearer <YOUR_Bearer {PartnerToken}, User {UserToken}_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "date": "2026-10-10 15:30",
    "service_id": 1185299,
    "team_member_id": 26427,
    "length": 3600,
    "capacity": 9,
    "resource_instance_ids": [
      3127
    ],
    "force": false
  }'

Responses

OK

Headers
Deprecationstring

RFC 9745 deprecation date as a Unix timestamp: @1782864000 is 2026-07-01T00:00:00Z.

Example:"@1782864000"
Sunsetstring

RFC 8594 date after which the deprecated operation may stop working.

Example:"Mon, 01 Mar 2027 00:00:00 GMT"
Bodyapplication/json
successboolean

Execution success status (true)

Example:true
dataobject

Object with data

Example:
{ "id": 108, "salon_id": 4564, "service_id": 1185299, "staff_id": 26427, "date": "2026-09-21T23:00:00.000-05:00", "length": 3600, "capacity": 9, "records_count": 0, "color": "", "font_color": "", "service": { "id": 1185299, "title": "Group manicure", "category_id": 754917 }, "staff": { "id": 26427, "name": "Monica Bellucci", "company_id": 4564 }, "resource_instances": [ { … } ] }
metaArray of objects

Metadata (empty array)

Example:
[]
Response
{ "success": true, "data": { "id": 108, "salon_id": 4564, "service_id": 1185299, "staff_id": 26427, "date": "2026-09-21T23:00:00.000-05:00", "length": 3600, "capacity": 9, "records_count": 0, "color": "", "font_color": "", "service": { … }, "staff": { … }, "resource_instances": [ … ] }, "meta": [] }